TokyoTyrant::get
TokyoTyrant::num
TokyoTyrant
PHP Manual

# TokyoTyrant::getIterator

Get an iterator

### Description

public TokyoTyrantIterator TokyoTyrant::getIterator ( void )

Gets an iterator for iterating all keys / values in the database.

### Parameters

This function has no parameters.

### Return Values

This method returns TokyoTyrantIterator object and throws TokyoTyrantException on failure.

### Examples

Example #1 TokyoTyrant::getIterator example

`<?php
$tt = new TokyoTyrant("localhost");
$it = $tt->getIterator();
foreach ($it as $k => $v) {
}
?>`

### See Also

- TokyoTyrantTable::getQuery
- TokyoTyrantTable::getIterator